function  H = Exp_SE3(screw_axis,angle)

omega = screw_axis(1:3);
v = screw_axis(4:6);
if NearZero(norm(omega))
    H = [eye(3), v*angle; 0, 0, 0, 1];
else
    R = Exp_SO3(omega,angle);
    omgmat = VecToso3(omega);
    G_theta = (eye(3) * angle + (1 - cos(angle)) * omgmat ...
          + (angle - sin(angle)) * omgmat * omgmat);
    H = [R, G_theta*v; 0,0,0,1];
end
